Bug 14077 - Remove unused AUTH_UPDATE_FAILED from moremember.tt
Summary: Remove unused AUTH_UPDATE_FAILED from moremember.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13910
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-29 09:30 UTC by Marc Véron
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14077 - Remove unused AUTH_UPDATE_FAILED from moremember.tt (1.49 KB, patch)
2015-04-29 09:40 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14077 - Remove unused AUTH_UPDATE_FAILED from moremember.tt (1.80 KB, patch)
2015-04-29 10:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 14077 - Remove unused AUTH_UPDATE_FAILED from moremember.tt (1.87 KB, patch)
2015-04-29 20:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-04-29 09:30:43 UTC
'AUTH_UPDATE_FAILED' in moremember.tt is never set and should be removed (see comment #6 on Bug 13910).

To verify: git grep 'AUTH_UPDATE_FAILED'
Result: Only one occurence (in moremember.tt)
Comment 1 Marc Véron 2015-04-29 09:40:07 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-04-29 10:30:25 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-04-29 20:11:07 UTC
Created attachment 38685 [details] [review]
[PASSED QA] Bug 14077 - Remove unused AUTH_UPDATE_FAILED from moremember.tt

'AUTH_UPDATE_FAILED' in moremember.tt is never set and should be removed (see comment #6 on Bug 13910).

To verify: git grep 'AUTH_UPDATE_FAILED'
Result: Only one occurence (in moremember.tt)

Test plan:
- Apply patch (on top of Bug 13910)
- Verify that the part with AUTH_UPDATE_FAILED is removed from moremember.tt
- Go to a patron's detail page and verify that nothing is broken (Home > Patrons > Patrons details for...)

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
This has been introduced by
  commit 1a91801b06607ee9e5f8c21d531a7b7a3ca3b683
  Date:   Sat Dec 1 20:56:27 2007 -0600
      Add Staff member type. Add permissions checks for bug# 1269
      and related permissions on memberentry and mods.
But was already not used...

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-05-14 14:57:06 UTC
Patch pushed to master.

Thanks Marc!
Comment 5 Chris Cormack 2015-05-17 23:01:39 UTC
Pushed to 3.18.x will be in 3.18.7